Loading...
Searching...
No Matches
sres_record Union Reference

Union of different DNS records. More...

`#include <sres_record.h>`

Collaboration diagram for sres_record:
[legend]

## Data Fields

sres_common_t | sr_record [1]
| Common part of all DNS records.
sres_generic_t | sr_generic [1]
| Generic (unparsed) DNS record.
sres_soa_record_t | sr_soa [1]
| SOA (start-of-authority) record.
sres_a_record_t | sr_a [1]
| A (address) record.
sres_cname_record_t | sr_cname [1]
| CNAME (canonic name) record.
sres_ptr_record_t | sr_ptr [1]
| PTR (pointer) record.
sres_a6_record_t | sr_a6 [1]
| A6 (IP6 address) record.
sres_aaaa_record_t | sr_aaaa [1]
| AAAA (IP6 address) record.
sres_srv_record_t | sr_srv [1]
| SRV record.
sres_naptr_record_t | sr_naptr [1]
| NAPTR record.

## Detailed Description

Union of different DNS records.

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.